package com.zcloud.zcGbsServicer.command;

import com.zcloud.zcGbsServicer.domain.gateway.WaterSourceGateway;
import com.alibaba.cola.exception.BizException;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;




/**
* web-app
* @Author makejava
* @Date 2026-01-21 17:23:50
*/
@Component
@AllArgsConstructor
public class WaterSourceRemoveExe {
    private final WaterSourceGateway waterSourceGateway;

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(Long id) {
        boolean res = waterSourceGateway.deletedWaterSourceById(id);
        if(!res){
            throw new BizException("删除失败");
        }
        return true;
    }

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(Long[] ids) {
        boolean res = waterSourceGateway.deletedWaterSourceByIds(ids);
        if(!res){
            throw new BizException("删除失败");
        }
        return true;
    }
}

